{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Quiz Reports
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Quiz Reports
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for department in departmentList %}
                        {% if department.pk == departmentInstance.pk %}
                            <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ department.pk }}
                                           data-toggle="tab" name="departmentTab">
                                    {{ department.acronym }}
                                </a>
                            </li>
                        {% else %}
                            <li class="" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ department.pk }}
                                           data-toggle="tab" name="departmentTab">
                                    {{ department.acronym }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for semester in semesterList %}
                        {% if semester.semesterInstance.pk == semesterInstance.pk %}
                            <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li class="" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        {% if forloop.counter == 1 %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                {% if noSemester %}
                    <div class="x_content">
                        <div class="alert alert-danger" role="alert" align="center">
                            <h4 style="font-size: 18px"> No Semester Plan has Created </h4>
                        </div>
                    </div>
                {% elif noCourses %}
                    <div class="x_content">
                        <div class="alert alert-danger" role="alert" align="center">
                            <h4 style="font-size: 18px"> No Courses are available </h4>
                        </div>
                    </div>
                {% else %}
                    <div class="col-md-offset-10" style="display: none" id="pdfDiv">
                        <button type="button" class="btn1 btn1-primary" id='getPdf'>
                            Generate PDF
                        </button>
                    </div>
                    <div class="alert alert-success" role="alert" align="center">
                        <div><h4><strong>{{ staffCourseInstance.course }}</strong>&nbsp;&nbsp;handled
                            by&nbsp;&nbsp;<strong>
                                {% for staff in staffCourseInstance.staffs.all %}
                                    {{ staff }}&nbsp;
                                {% endfor %}
                            </strong></h4>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-4 col-sm-4 col-xs-12">
                            <select class="form-control" id="unitTestSelection"
                                    required>
                                <option value="" disabled selected>Choose Quiz</option>
                                <option value="1">QUIZ I</option>
                                <option value="2">QUIZ II</option>
                                <option value="3">QUIZ III</option>
                            </select>
                        </div>
                    </div>

                    <div id="alertField" class="x_content" style="display: none">
                        <div class="alert alert-warning" role="alert" align="center">
                            <h4 style="font-size: 18px"> Not yet set Quiz Questions </h4>
                        </div>
                    </div>
                    <div id="infoField" class="x_content" style="display: none">
                        <div class="alert alert-success" role="alert" align="center">
                            <h4><strong>Click on a Student Name or Register Number to view his/her performance</strong>
                            </h4>
                        </div>
                    </div>
                    <div id="displaySection" style="display: none">
                        <div class="x_content">
                            <form method="POST">{% csrf_token %}
                                <div id="hiddenUnitTestOnSelection" style="display: none"></div>
                                <input type="text" name="staffCoursePk" value="{{ staffCourseInstance.pk }}" hidden>
                                <div class="table-responsive">
                                    <table id="table" class="table table-striped table-condensed table-hover">
                                        <thead>
                                        <tr>
                                            <th>S. No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                            <th id="markSection"></th>
                                        </tr>
                                        </thead>
                                        <tbody id="bodySection">
                                        </tbody>
                                    </table>
                                </div>
                            </form>
                        </div>
                    </div>
                {% endif %}


            </div>
        </div>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>


    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="departmentTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'departmentPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="semesterTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semesterPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');


                $('#dummyForm').submit();

            });
        });

    </script>

    <script type="text/javascript">

        $(document).on("change", '#unitTestSelection', function (e) {
            var unitTestNumber = $('#unitTestSelection').val();
            var staffCoursePk = "{{ staffCourseInstance.pk }}";

            $.ajax({
                type: "POST",
                data: {
                    unitTestNumber: unitTestNumber,
                    staffCoursePk: staffCoursePk,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'quizReports' %}',

                success: function (data) {
                    if (data.avail == 'true') {
                        $('#displaySection').show();
                        $('#infoField').show();
                        $('#alertField').hide();
                        $('#pdfDiv').show();
                        document.getElementById('bodySection').innerHTML = '';
                        document.getElementById('markSection').innerHTML = 'Marks Obtained (Out of ' + data.maximumMarks + ')';
                        document.getElementById('hiddenUnitTestOnSelection').innerHTML = '<input type="text" id="editUnitTestNumber" name="editUnitTestNumber" value="' + unitTestNumber + '" hidden>';

                        document.getElementById('bodySection').innerHTML = '';

                        counter = 1;
                        $.each(data.studentList, function (key, val) {
                            document.getElementById('bodySection').innerHTML += '<tr id="identify' + key + '"></tr>';
                            if (val.attended == 'true') {
                                document.getElementById('identify' + key).innerHTML +=
                                    '<td>' + counter++ + '</td>' +
                                    '<td><a href="../student_quiz_marks/' + val.registerNumber + '/' + data.staffCoursePk + '/' + data.unitTestNumber + '" target="_self">' + val.registerNumber + '</a></td>' +
                                    '<td><a href="../student_quiz_marks/' + val.registerNumber + '/' + data.staffCoursePk + '/' + data.unitTestNumber + '" target="_self">' + val.studentName + '</a></td>' +
                                    '<td>' + val.totalMarks + '</td>';
                            }
                            else {
                                document.getElementById('identify' + key).innerHTML +=
                                    '<td>' + counter++ + '</td>' +
                                    '<td>' + val.registerNumber + '</a></td>' +
                                    '<td>' + val.studentName + '</a></td>' +
                                    '<td>Not Attended</td>';
                            }
                        });
                    }
                    else {
                        $('#displaySection').hide();
                        $('#infoField').hide();
                        $('#alertField').show();
                        $('#pdfDiv').hide();
                    }
                }
            });

        });

    </script>

    <script type="text/javascript">

        {% if staffCourseInstance %}
            $('document').ready(function () {

                $('#getPdf').click(function () {
                    var unitTestNumber = $('#editUnitTestNumber').val();
                    if (unitTestNumber == '1') {
                        window.open('{% url 'quizMarksPdfReport' staffCoursePk=staffCourseInstance.pk unitTestNumber=1 %}', '_self');
                    }
                    else if (unitTestNumber == '2') {
                        window.open('{% url 'quizMarksPdfReport' staffCoursePk=staffCourseInstance.pk unitTestNumber=2 %}', '_self');
                    }
                    else if (unitTestNumber == '3') {
                        window.open('{% url 'quizMarksPdfReport' staffCoursePk=staffCourseInstance.pk unitTestNumber=3 %}', '_self');
                    }
                });

            });
        {% endif %}

    </script>

{% endblock %}